com.taosdata.jdbc.utils

## Class StringUtils

- java.lang.Object
- - com.taosdata.jdbc.utils.StringUtils

    public class StringUtils
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`StringUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `bytesToHex(byte[] bytes)`
`static String` `getBasicUrl(String url)`
`static byte[]` `hexToBytes(String hex)`
`static boolean` `isEmpty(CharSequence cs)`
`static boolean` `isNumeric(String str)` check string every char is numeric or false so string is negative number or include decimal point，will return false
`static Properties` `parseUrl(String url, Properties defaults)`
`static String` `toHex(byte[] bytes)` Converts a byte array to a hexadecimal string.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StringUtils

    public StringUtils()

### Method Detail

#### isEmpty

    public static boolean isEmpty(CharSequence cs)

#### isNumeric

    public static boolean isNumeric(String str)

check string every char is numeric or false so string is negative number or include decimal point，will return false

Parameters:
  `str` -
Returns:

#### parseUrl

    public static Properties parseUrl(String url,
                                      Properties defaults)

#### hexToBytes

    public static byte[] hexToBytes(String hex)

#### bytesToHex

    public static String bytesToHex(byte[] bytes)

#### toHex

    public static String toHex(byte[] bytes)

Converts a byte array to a hexadecimal string.

Parameters:
  `bytes` - a byte array
Returns:
  a string of hexadecimal digits

#### getBasicUrl

    public static String getBasicUrl(String url)